cURL
curl -X PATCH https://api.aiql.io/dashboards/dsb_8c1e \
-H "Authorization: Bearer $AIQL_API_KEY" \
-H "AiQL-Workspace: $AIQL_WORKSPACE_ID" \
-H "Content-Type: application/json" \
-d '{"title": "Executive overview (Q3)"}'import os
from aiql import AiQL
client = AiQL(api_key=os.environ["AIQL_API_KEY"])
dashboard = client.dashboards.update("dsb_8c1e", title="Executive overview (Q3)")import { AiQL } from "@aiql.io/sdk";
const client = new AiQL({ apiKey: process.env.AIQL_API_KEY });
const dashboard = await client.dashboards.update("dsb_8c1e", { title: "Executive overview (Q3)" });{
"id": "<string>",
"title": "<string>",
"description": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}{
"detail": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Dashboards
Update Dashboard
PATCH
/
dashboards
/
{id}
cURL
curl -X PATCH https://api.aiql.io/dashboards/dsb_8c1e \
-H "Authorization: Bearer $AIQL_API_KEY" \
-H "AiQL-Workspace: $AIQL_WORKSPACE_ID" \
-H "Content-Type: application/json" \
-d '{"title": "Executive overview (Q3)"}'import os
from aiql import AiQL
client = AiQL(api_key=os.environ["AIQL_API_KEY"])
dashboard = client.dashboards.update("dsb_8c1e", title="Executive overview (Q3)")import { AiQL } from "@aiql.io/sdk";
const client = new AiQL({ apiKey: process.env.AIQL_API_KEY });
const dashboard = await client.dashboards.update("dsb_8c1e", { title: "Executive overview (Q3)" });{
"id": "<string>",
"title": "<string>",
"description": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}{
"detail": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Authorizations
API key or UI session JWT passed as a Bearer token.
Headers
ID of the workspace the request operates on.
Path Parameters
Body
application/json
Response
Successful Response
Unique identifier of the dashboard.
Title of the dashboard.
Description of the dashboard.
Timestamp when the dashboard was created.
Timestamp when the dashboard was last updated.